Subject: Re: [PATCH net-next 0/2] handle_ing update

From: Alexei Starovoitov <[email-masked]>
Date: Mon, 11 May 2015 15:23:57 -0700

On 5/11/15 3:03 PM, Cong Wang wrote:
> On Mon, May 11, 2015 at 8:09 AM, David Miller <[email-masked]> wrote:
>> There is no difference between having ingress qdisc hanging off of
>> netdevice vs. the classifier list.  They both serve the same purpose
>> and the change to use the classifier list merely removes one level
>> of indirection.
>
> With adding 8 bytes to each of the netdevice even when it doesn't
> have ingress qdisc attached at all...

we already said several times that the work is already on the way
to remove 'ingress_queue' from net_device. It will save much more
memory than addition of 8 bytes.